import { Highlightable } from '@angular/cdk/a11y';
import { AfterContentInit, ElementRef } from '@angular/core';
import * as i0 from "@angular/core";
import * as i1 from "../directives/nx-pseudo-active.directive";
/** Option component for select/multiselect */
export declare class NxOptionComponent<T = unknown> implements AfterContentInit, Highlightable {
    /** Value of the option */
    value: import("@angular/core").InputSignal<T>;
    /** Text displayed in the trigger when the option is selected */
    labelInput: import("@angular/core").InputSignal<string>;
    host: ElementRef<HTMLElement>;
    private textContent;
    ngAfterContentInit(): void;
    label: import("@angular/core").Signal<string>;
    /** Disabled state */
    disabledInput: import("@angular/core").InputSignalWithTransform<boolean, unknown>;
    disabledOutput: import("@angular/core").OutputEmitterRef<boolean>;
    disabledSignal: import("@angular/core").WritableSignal<boolean>;
    protected _disabledInputEffect: import("@angular/core").EffectRef;
    protected ariaDisabled: import("@angular/core").Signal<import("nx-shared").AriaBoolean>;
    protected active: import("@angular/core").WritableSignal<boolean>;
    private selectComponent;
    protected selected: import("@angular/core").Signal<boolean>;
    select(): void;
    protected _unselectEffect: import("@angular/core").EffectRef;
    protected _disabledEffect: import("@angular/core").EffectRef;
    disabled: boolean;
    setActiveStyles(): void;
    setInactiveStyles(): void;
    getLabel(): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<NxOptionComponent<any>, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NxOptionComponent<any>, "nx-option", never, { "value": { "alias": "value"; "required": true; "isSignal": true; }; "labelInput": { "alias": "label"; "required": false; "isSignal": true; }; "disabledInput": { "alias": "disabled"; "required": false; "isSignal": true; }; }, { "disabledOutput": "disabled"; }, never, ["*"], true, [{ directive: typeof i1.NxPseudoActiveDirective; inputs: {}; outputs: {}; }]>;
}
